Репозиторий Sisyphus
Последнее обновление: 22 октября 2020 | Пакетов: 17707 | Посещений: 19458750
en ru br
Майнтейнер: Alexey Shabalin

 Информация   Пакеты   Bugs and FR  Repocop 

Сообщения от repocop:

пакет статус тест сообщение
LogAnalyzer-4.1.7-alt2.noarch
info
beehive-log-non-strict-dependency-x86_64 LogAnalyzer-apache2: non-strict dependency on LogAnalyzer-php7
LogAnalyzer-4.1.7-alt2.noarch
info
beehive-log-non-strict-dependency-i586 LogAnalyzer-apache2: non-strict dependency on LogAnalyzer-php7
NetworkManager-openconnect-1.2.6-alt1.x86_64
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
NetworkManager-pptp-1.2.8-alt2.x86_64
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
NetworkManager-sstp-1.2.6-alt2.x86_64
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
agola-0.5.0-alt3.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
apt-conf-branch-9.0-alt5.x86_64
warn
rpm-package-is-obsoleted The package is obsoleted by the package apt-conf-sisyphus-9.96-alt4.x86_64, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of apt-conf-sisyphus-9.96-alt4.x86_64 to remove Obsoletes: tag.
apt-conf-sisyphus-9.96-alt4.x86_64
info
rpm-obsolete-live-package The package obsoletes the package apt-conf-branch-9.0-alt5.x86_64, but the package apt-conf-branch-9.0-alt5.x86_64 is still alive and in the repository. Ask its maintainer to remove it, or, if it should not be removed, remove the Obsoletes: tag. Do not forget to add explicit conflicts with the other package if nessessary.
autoconf-archive-2019.01.06-alt2.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/autoconf-archive/AUTHORS /usr/share/doc/autoconf-archive/COPYING /usr/share/doc/autoconf-archive/COPYING.EXCEPTION /usr/share/doc/autoconf-archive/README
autoconf-archive-2019.01.06-alt2.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/autoconf-archive/AUTHORS /usr/share/doc/autoconf-archive/COPYING /usr/share/doc/autoconf-archive/COPYING.EXCEPTION /usr/share/doc/autoconf-archive/README
branding-alt-server-v-alterator-9.1-alt3.noarch
warn
rpm-filesystem-conflict-symlink-file symlink /usr/share/alterator/design/images/steps/datetime.png is a file in the package branding-alt-sisyphus-alterator-20191026-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/share/alterator/design/images/steps/finish.png is a file in the package branding-alt-sisyphus-alterator-20191026-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/share/alterator/design/images/steps/greeting.png is a file in the package branding-alt-sisyphus-alterator-20191026-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/share/alterator/design/images/steps/install.png is a file in the package bran... [the rest of the message is skipped]
branding-alt-server-v-alterator-9.1-alt3.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package branding-alt-sisyphus-alterator-20191026-alt1.noarch, for example, /usr/share/alterator/design/images/attention.gif (16 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-v-bootsplash-9.1-alt3.noarch
warn
rpm-filesystem-conflict-file-file File /usr/share/pixmaps/system-logo.png conflicts with the package branding-alt-sisyphus-bootsplash-20191026-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-v-indexhtml-9.1-alt3.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package branding-alt-sisyphus-indexhtml-20191026-alt1.noarch, for example, /usr/share/applications/indexhtml.desktop (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-v-notes-9.1-alt3.noarch
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
branding-alt-server-v-notes-9.1-alt3.noarch
warn
rpm-filesystem-conflict-file-file Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package alt-notes-school-server-4.1-alt3.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/alt-notes/release-notes.all.html /usr/share/alt-notes/release-notes.ru.html conflict with the package branding-alt-sisyphus-notes-20191026-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
branding-alt-server-v-9.1-alt3.x86_64
info
requires-ImageMagick Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
cacti-1.2.10-alt3.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/cacti/LICENSE /usr/share/cacti/README.md /usr/share/cacti/docs
cacti-1.2.10-alt3.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/cacti/LICENSE /usr/share/cacti/README.md /usr/share/cacti/docs
ceph-base-15.2.5-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libos_tp.so but just /usr/lib64/libos_tp.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libos_tp.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libos_tp.so to \%files of ceph-base-15.2.5-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libosd_tp.so but just /usr/lib64/libosd_tp.so.1.0.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libosd_tp.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just a... [the rest of the message is skipped]
ceph-common-15.2.5-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ceph-mgr-cephadm-15.2.5-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ceph-mgr-dashboard-15.2.5-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ceph-mgr-diskprediction-local-15.2.5-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ceph-mgr-diskprediction-cloud-15.2.5-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
ceph-mgr-modules-core-15.2.5-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
cloud-utils-growpart-0.31-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/growpart
cni-plugins-0.8.7-alt1.x86_64
warn
rpm-filesystem-conflict-file-file Files /usr/libexec/cni/host-local /usr/libexec/cni/loopback conflict with the package origin-sdn-ovs-3.11.0-alt3.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
corosync-qdevice-3.0.0-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
corosync-qnetd-3.0.0-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
cryptsetup-2.3.3-alt1.x86_64
warn
init-lsb /etc/rc.d/init.d/cryptdisks.functions: strange executable: neither lsb header nor chkconfig header aren't found. See http://www.altlinux.org/Services_Policy for details.
cryptsetup-2.3.3-alt1.x86_64
warn
init-condrestart /etc/rc.d/init.d/cryptdisks.functions: missing condrestart target. Note: alt-specific script %_sbindir/post_service (used in %post_service macro) depends on condrestart. It is wise to add condrestart anyway./etc/rc.d/init.d/cryptdisks.functions: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway.
cryptsetup-2.3.3-alt1.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
cups-cloudprint-20140308-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/cups-cloudprint-20140308-alt1.noarch.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation
dapl-utils-2.1.10-alt1.x86_64
info
uncompressed-manpages Package contains uncompressed manual pages.
dpdk-19.11.3-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
dpdk-19.11.3-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/dpdk-test-compress-perf /usr/bin/testsad
dpdk-19.11.3-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/dpdk-test-compress-perf /usr/bin/testsad
edk2-tools-20200229-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/BPDG /usr/bin/Ecc /usr/bin/GenDepex /usr/bin/GenFds /usr/bin/GenPatchPcdTable /usr/bin/PatchPcdValue /usr/bin/TargetTool /usr/bin/Trim /usr/bin/UPT /usr/share/edk2/Python/AmlToHex/AmlToHex.py /usr/share/edk2/Python/AmlToHex/__pycache__/AmlToHex.cpython-38.pyc /usr/share/edk2/Python/AutoGen/AutoGen.py /usr/share/edk2/Python/AutoGen/AutoGenWorker.py /usr/share/edk2/Python/AutoGen/BuildEngine.py /usr/share/edk2/Python/AutoGen/DataPipe.py /usr/share/edk2/Python/AutoGen/GenC.py /usr/share/edk2/Python/AutoGen/GenDepex.py /usr/share/edk2/Python/AutoGen/GenMake.py /usr/share/edk2/Python/AutoGen/GenPcdDb.py /usr/share/edk2/Python/AutoGen/GenVar.py /usr/share/edk2/Python/AutoGen/IdfClassObject.py /usr/share/edk2/Python/AutoGen/IncludesAutoGen.py /usr/share/edk2/Python/AutoGen/InfSectionParser.py /usr/share/edk2/Python/AutoGen/ModuleAutoGen.py /usr/share/edk2/Python/AutoGen/ModuleAutoGenHelper.py /usr/share/edk2/Python/AutoGen/PlatformAu... [the rest of the message is skipped]
edk2-tools-20200229-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/BPDG /usr/bin/Ecc /usr/bin/GenDepex /usr/bin/GenFds /usr/bin/GenPatchPcdTable /usr/bin/PatchPcdValue /usr/bin/TargetTool /usr/bin/Trim /usr/bin/UPT /usr/share/edk2/Python/AmlToHex/AmlToHex.py /usr/share/edk2/Python/AmlToHex/__pycache__/AmlToHex.cpython-38.pyc /usr/share/edk2/Python/AutoGen/AutoGen.py /usr/share/edk2/Python/AutoGen/AutoGenWorker.py /usr/share/edk2/Python/AutoGen/BuildEngine.py /usr/share/edk2/Python/AutoGen/DataPipe.py /usr/share/edk2/Python/AutoGen/GenC.py /usr/share/edk2/Python/AutoGen/GenDepex.py /usr/share/edk2/Python/AutoGen/GenMake.py /usr/share/edk2/Python/AutoGen/GenPcdDb.py /usr/share/edk2/Python/AutoGen/GenVar.py /usr/share/edk2/Python/AutoGen/IdfClassObject.py /usr/share/edk2/Python/AutoGen/IncludesAutoGen.py /usr/share/edk2/Python/AutoGen/InfSectionParser.py /usr/share/edk2/Python/AutoGen/ModuleAutoGen.py /usr/share/edk2/Python/AutoGen/ModuleAutoGenHelper.py /usr/share/edk2/Python/AutoGen/PlatformAu... [the rest of the message is skipped]
filesystem-2.3.18-alt1.x86_64
info
missing-url Missing Url: in a package.
fish-3.1.2-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
fish-3.1.2-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/pkgconfig/fish.pc
fish-3.1.2-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/pkgconfig/fish.pc
freeradius-3.0.21-alt1.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
freeradius-3.0.21-alt1.x86_64
warn
init-lsb /etc/rc.d/init.d/radiusd: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
freeradius-3.0.21-alt1.x86_64
info
beehive-log-non-strict-dependency-x86_64 freeradius-utils: non-strict dependency on freeradius-common
freeradius-3.0.21-alt1.x86_64
info
beehive-log-non-strict-dependency-i586 freeradius-utils: non-strict dependency on freeradius-common
freeradius-3.0.21-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
freeradius-3.0.21-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
fwbuilder-6.0.0-alt1.beta.106.a5e1.x86_64
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/fwbuilder.desktop: hint: value "System;Settings;Security;Qt;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
fwbuilder-6.0.0-alt1.beta.106.a5e1.x86_64
info
big-changelog Package contains big ChangeLog. Gzip it.
gdcm-3.0.5-alt1_0.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/python3/site-packages/__pycache__/gdcm.cpython-38.opt-1.pyc /usr/lib/python3/site-packages/__pycache__/gdcm.cpython-38.opt-2.pyc /usr/lib/python3/site-packages/__pycache__/gdcm.cpython-38.pyc /usr/lib/python3/site-packages/__pycache__/gdcmswig.cpython-38.opt-1.pyc /usr/lib/python3/site-packages/__pycache__/gdcmswig.cpython-38.opt-2.pyc /usr/lib/python3/site-packages/__pycache__/gdcmswig.cpython-38.pyc /usr/lib/python3/site-packages/_gdcmswig.so /usr/lib/python3/site-packages/gdcm.py /usr/lib/python3/site-packages/gdcmswig.py /usr/share/gdcm/Examples/CMakeLists.txt /usr/share/gdcm/Examples/Csharp/BasicAnonymizer.cs /usr/share/gdcm/Examples/Csharp/BasicImageAnonymizer.cs /usr/share/gdcm/Examples/Csharp/CMakeLists.txt /usr/share/gdcm/Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs /usr/share/gdcm/Examples/Csharp/CompressLossyJPEG.cs /usr/share/gdcm/Examples/Csharp/DecompressImage.cs /usr/share/gdcm/Examples/Csharp/Decompre... [the rest of the message is skipped]
gdcm-3.0.5-alt1_0.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/python3/site-packages/__pycache__/gdcm.cpython-38.opt-1.pyc /usr/lib64/python3/site-packages/__pycache__/gdcm.cpython-38.opt-2.pyc /usr/lib64/python3/site-packages/__pycache__/gdcm.cpython-38.pyc /usr/lib64/python3/site-packages/__pycache__/gdcmswig.cpython-38.opt-1.pyc /usr/lib64/python3/site-packages/__pycache__/gdcmswig.cpython-38.opt-2.pyc /usr/lib64/python3/site-packages/__pycache__/gdcmswig.cpython-38.pyc /usr/lib64/python3/site-packages/_gdcmswig.so /usr/lib64/python3/site-packages/gdcm.py /usr/lib64/python3/site-packages/gdcmswig.py /usr/share/gdcm/Examples/CMakeLists.txt /usr/share/gdcm/Examples/Csharp/BasicAnonymizer.cs /usr/share/gdcm/Examples/Csharp/BasicImageAnonymizer.cs /usr/share/gdcm/Examples/Csharp/CMakeLists.txt /usr/share/gdcm/Examples/Csharp/ClinicalTrialIdentificationWorkflow.cs /usr/share/gdcm/Examples/Csharp/CompressLossyJPEG.cs /usr/share/gdcm/Examples/Csharp/DecompressImage.cs /usr/share/gdcm/Exampl... [the rest of the message is skipped]
gdcm-3.0.5-alt1_0.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
gerbera-1.6.0-alt1.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
gerbera-data-1.6.0-alt1.noarch
warn
file-in-usr-marked-as-conffile Files below /usr may not be marked as conffiles, since /usr might be mounted read-only and thus, the local system administrator would not have a chance to modify this configuration file.
gnome-pkcs11-eventmgr-debuginfo-1.0-alt1.qa3.x86_64
info
missing-url Missing Url: in a package.
gnome-pkcs11-eventmgr-1.0-alt1.qa3.x86_64
info
missing-url Missing Url: in a package.
grafana-7.1.3-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
grafana-7.1.3-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/grafana-server
hwdatabase-0.3.32-alt1.noarch
info
missing-url Missing Url: in a package.
infiniband-diags-30.0-alt3.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/sbin/ibswitches /usr/sbin/ibclearerrors /usr/sbin/ibstatus /usr/sbin/ibrouters /usr/sbin/ibhosts /usr/sbin/ibclearcounters
infiniband-diags-compat-30.0-alt3.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/sbin/ibchecknet /usr/sbin/ibcheckwidth /usr/sbin/ibcheckerrors /usr/sbin/ibcheckerrs /usr/sbin/ibcheckportstate /usr/sbin/ibcheckstate /usr/sbin/ibcheckportwidth /usr/sbin/set_nodedesc.sh /usr/sbin/ibdatacounts /usr/sbin/ibchecknode /usr/sbin/ibdatacounters /usr/sbin/ibcheckport
influxdb-1.8.2-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
fail
unsafe-tmp-usage-in-scripts The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/share/install2/initinstall.d/05-vm-profile: $ grep -A5 -B5 /tmp/ /usr/share/install2/initinstall.d/05-vm-profile #!/bin/sh # see also http://www.altlinux.org/Autoinstall message() { echo "vm-profile: $*" >>/tmp/vm-profile.log; } mem="$(sed -n '/^MemTotal/s/[^0-9]//g... [the rest of the message is skipped]
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package installer-distro-alt-workstation-stage2-9.0.0-alt1.noarch, for example, /usr/share/install2/alterator-menu/module-expert-list (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package installer-distro-altlinux-desktop-stage2-8.1.0-alt1.noarch, for example, /usr/share/install2/alterator-menu/module-expert-list (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/install2/alterator-menu/module-expert-list /usr/share/install2/alterator-menu/module-order-list /usr/share/install2/installer-steps conflict with the package installer-distro-altlinux-generic-stage2-7.0.3-alt1.noarch. Moreover, the packages have no explicit conf... [the rest of the message is skipped]
iwpmd-30.0-alt3.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/iwpmd
jirc-1.1-alt2.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/man/man1/jirc.1.xz
jirc-1.1-alt2.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/man/man1/jirc.1.xz
kapacitor-1.5.3-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
kea-doc-1.6.2-alt3.noarch
info
big-changelog Package contains big ChangeLog. Gzip it.
keepassx2-2.0.3-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/keepassx.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
kmscon-8-alt4.40.g01dd0a2.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/kmscon
libdapl-2.1.10-alt1.x86_64
info
big-changelog Package contains big ChangeLog. Gzip it.
libdevmapper-event-1.02.173-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libdevmapper-event-lvm2.so but just /usr/lib64/libdevmapper-event-lvm2.so.2.03. According to SharedLibs Policy Draft, symlink /usr/lib64/libdevmapper-event-lvm2.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libdevmapper-event-lvm2.so to \%files of libdevmapper-event-1.02.173-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libe-book-devel-0.1.3-alt2.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
liberasurecode-doc-1.6.1-alt1.x86_64
info
arch-dep-package-consists-of-usr-share The package consists of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
libexttextcat-3.4.5-alt1.x86_64
warn
sisyphus_check-check-dirlist sisyphus_check --check-dirlist failed: package contains a directory /usr/share/vala/vapi that exclusively belongs to package vapi-common
libgadu-devel-1.12.2-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
libmongoc-1.14.0-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/mongo-c-driver/COPYING /usr/share/mongo-c-driver/NEWS /usr/share/mongo-c-driver/README.rst /usr/share/mongo-c-driver/THIRD_PARTY_NOTICES /usr/share/mongo-c-driver/uninstall.sh
libmongoc-1.14.0-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/mongo-c-driver/COPYING /usr/share/mongo-c-driver/NEWS /usr/share/mongo-c-driver/README.rst /usr/share/mongo-c-driver/THIRD_PARTY_NOTICES /usr/share/mongo-c-driver/uninstall.sh
libsmi-0.5.0-alt1.svn1841.x86_64
info
big-changelog Package contains big ChangeLog. Gzip it.
libtsm-4.0.1-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/cmake/libtsm/libtsm-config-version.cmake /usr/lib/cmake/libtsm/libtsm-config.cmake /usr/lib/cmake/libtsm/libtsm-targets-relwithdebinfo.cmake /usr/lib/cmake/libtsm/libtsm-targets.cmake
libtsm-4.0.1-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/cmake/libtsm/libtsm-config-version.cmake /usr/lib64/cmake/libtsm/libtsm-config.cmake /usr/lib64/cmake/libtsm/libtsm-targets-relwithdebinfo.cmake /usr/lib64/cmake/libtsm/libtsm-targets.cmake
libvirglrenderer-0.8.2-alt1.x86_64
info
missing-url Missing Url: in a package.
libvirglrenderer-debuginfo-0.8.2-alt1.x86_64
info
missing-url Missing Url: in a package.
libvirglrenderer-devel-0.8.2-alt1.x86_64
info
missing-url Missing Url: in a package.
libvirglrenderer-test-server-0.8.2-alt1.x86_64
info
missing-url Missing Url: in a package.
libvirglrenderer-test-server-debuginfo-0.8.2-alt1.x86_64
info
missing-url Missing Url: in a package.
libvirt-client-6.8.0-alt1.x86_64
fail
init-condrestart /etc/rc.d/init.d/libvirt-guests: missing condrestart target. ERROR: alt-specific script %_sbindir/post_service (used in your %post_service macro) depends on condrestart. Please, fix./etc/rc.d/init.d/libvirt-guests: missing condstop target. ERROR: alt-specific script %_sbindir/preun_service (used in your %preun_service macro) depends on condstop. Please, fix.
libvirt-daemon-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket libvirtd-admin.socket but no service libvirtd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket libvirtd-ro.socket but no service libvirtd-ro.service. Ask ildar@ why it is not right. in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket libvirtd-tcp.socket but no service libvirtd-tcp.service. Ask ildar@ why it is not right. in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket libvirtd-tls.socket but no service libvirtd-tls.service. Ask ildar@ why it is not right. in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket virtlockd-admin.socket but no service virtlockd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket virtlogd-admin.socket but no service virtlogd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-6.8.0-alt1.x86_64: there is a socket virtproxyd-admin.socket but no service virtproxyd-admin.service. Ask ... [the rest of the message is skipped]
libvirt-daemon-6.8.0-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/libvirtd
libvirt-daemon-driver-interface-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-interface-6.8.0-alt1.x86_64: there is a socket virtinterfaced-admin.socket but no service virtinterfaced-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-interface-6.8.0-alt1.x86_64: there is a socket virtinterfaced-ro.socket but no service virtinterfaced-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-lxc-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-lxc-6.8.0-alt1.x86_64: there is a socket virtlxcd-admin.socket but no service virtlxcd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-lxc-6.8.0-alt1.x86_64: there is a socket virtlxcd-ro.socket but no service virtlxcd-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-network-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-network-6.8.0-alt1.x86_64: there is a socket virtnetworkd-admin.socket but no service virtnetworkd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-network-6.8.0-alt1.x86_64: there is a socket virtnetworkd-ro.socket but no service virtnetworkd-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-nodedev-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-nodedev-6.8.0-alt1.x86_64: there is a socket virtnodedevd-admin.socket but no service virtnodedevd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-nodedev-6.8.0-alt1.x86_64: there is a socket virtnodedevd-ro.socket but no service virtnodedevd-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-nwfilter-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-nwfilter-6.8.0-alt1.x86_64: there is a socket virtnwfilterd-admin.socket but no service virtnwfilterd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-nwfilter-6.8.0-alt1.x86_64: there is a socket virtnwfilterd-ro.socket but no service virtnwfilterd-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-qemu-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-qemu-6.8.0-alt1.x86_64: there is a socket virtqemud-admin.socket but no service virtqemud-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-qemu-6.8.0-alt1.x86_64: there is a socket virtqemud-ro.socket but no service virtqemud-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-secret-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-secret-6.8.0-alt1.x86_64: there is a socket virtsecretd-admin.socket but no service virtsecretd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-secret-6.8.0-alt1.x86_64: there is a socket virtsecretd-ro.socket but no service virtsecretd-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-storage-core-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-storage-core-6.8.0-alt1.x86_64: there is a socket virtstoraged-admin.socket but no service virtstoraged-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-storage-core-6.8.0-alt1.x86_64: there is a socket virtstoraged-ro.socket but no service virtstoraged-ro.service. Ask ildar@ why it is not right.
libvirt-daemon-driver-vbox-6.8.0-alt1.x86_64
experimental
systemd-check-socket-name in libvirt-daemon-driver-vbox-6.8.0-alt1.x86_64: there is a socket virtvboxd-admin.socket but no service virtvboxd-admin.service. Ask ildar@ why it is not right. in libvirt-daemon-driver-vbox-6.8.0-alt1.x86_64: there is a socket virtvboxd-ro.socket but no service virtvboxd-ro.service. Ask ildar@ why it is not right.
libvirt-libs-6.8.0-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
libxmlsec1-gcrypt-1.2.28-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-gcrypt.so but just /usr/lib64/libxmlsec1-gcrypt.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-gcrypt.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-gcrypt.so to \%files of libxmlsec1-gcrypt-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libxmlsec1-gnutls-1.2.28-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-gnutls.so but just /usr/lib64/libxmlsec1-gnutls.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-gnutls.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-gnutls.so to \%files of libxmlsec1-gnutls-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libxmlsec1-nss-1.2.28-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-nss.so but just /usr/lib64/libxmlsec1-nss.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-nss.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-nss.so to \%files of libxmlsec1-nss-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
libxmlsec1-openssl-1.2.28-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libxmlsec1-openssl.so but just /usr/lib64/libxmlsec1-openssl.so.1.2.28. According to SharedLibs Policy Draft, symlink /usr/lib64/libxmlsec1-openssl.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libxmlsec1-openssl.so to \%files of libxmlsec1-openssl-1.2.28-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
liferea-1.13.1-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/liferea/web-extension/liblifereawebextension.la /usr/share/man/pl/man1/liferea.1.xz
liferea-1.13.1-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/liferea/web-extension/liblifereawebextension.la /usr/share/man/pl/man1/liferea.1.xz
lldpd-1.0.5-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/liblldpctl.so but just /usr/lib64/liblldpctl.so.4.8.0. According to SharedLibs Policy Draft, symlink /usr/lib64/liblldpctl.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/liblldpctl.so to \%files of lldpd-1.0.5-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
lldpd-devel-1.0.5-alt1.x86_64
warn
library-pkgnames-static package contains static library which has the same name as a shared library in the repository, but neither package name ends with -devel-static according to http://altlinux.org/Drafts/SharedLibs nor the package explicitly conflicts with the package with .so library
lua5.1-module-http-0.3-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/luarocks/rocks-5.1/basexx /usr/lib/luarocks/rocks-5.1/binaryheap /usr/lib/luarocks/rocks-5.1/bit32 /usr/lib/luarocks/rocks-5.1/compat53 /usr/lib/luarocks/rocks-5.1/cqueues /usr/lib/luarocks/rocks-5.1/fifo /usr/lib/luarocks/rocks-5.1/lpeg /usr/lib/luarocks/rocks-5.1/lpeg_patterns /usr/lib/luarocks/rocks-5.1/luaossl
lua5.1-module-http-0.3-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib/luarocks/rocks-5.1/basexx /usr/lib/luarocks/rocks-5.1/binaryheap /usr/lib/luarocks/rocks-5.1/bit32 /usr/lib/luarocks/rocks-5.1/compat53 /usr/lib/luarocks/rocks-5.1/cqueues /usr/lib/luarocks/rocks-5.1/fifo /usr/lib/luarocks/rocks-5.1/lpeg /usr/lib/luarocks/rocks-5.1/lpeg_patterns /usr/lib/luarocks/rocks-5.1/luaossl
lua5.1-module-lpeg_patterns-0.5-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/luarocks/rocks-5.1/lpeg
lua5.1-module-lpeg_patterns-0.5-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib/luarocks/rocks-5.1/lpeg
lua5.1-module-mmdblua-0.2-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/luarocks/rocks-5.1/compat53
lua5.1-module-mmdblua-0.2-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib/luarocks/rocks-5.1/compat53
mdadm-4.1-alt2.x86_64
warn
init-lsb /etc/rc.d/init.d/mdadm: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
memcached-1.6.6-alt1.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
minio-2020.08.16-alt1.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
mstflint-4.14.0-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/libcmdif.a /usr/lib/libdev_mgt.a /usr/lib/libreg_access.a /usr/lib/libtools_layouts.a
mstflint-4.14.0-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/libcmdif.a /usr/lib64/libdev_mgt.a /usr/lib64/libreg_access.a /usr/lib64/libtools_layouts.a
multipath-tools-0.8.3-alt2.x86_64
warn
init-lsb /etc/rc.d/init.d/multipathd: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
net-snmp-clients-5.8-alt1.x86_64
warn
rpm-filesystem-conflict-symlink-file symlink /usr/bin/snmptop is a file in the package netutils-linux-2.7.9-alt1.noarch. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
net-snmp35-5.8-alt1.x86_64
info
beehive-log-non-strict-dependency-x86_64 net-snmp-config: non-strict dependency on libnet-snmp35
net-snmp35-5.8-alt1.x86_64
info
beehive-log-non-strict-dependency-i586 net-snmp-config: non-strict dependency on libnet-snmp35
net-snmp35-5.8-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/ipf-mod.pl
net-snmp35-5.8-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/ipf-mod.pl
oath-toolkit-2.6.2-alt5.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /lib/security/pam_oath.la
oath-toolkit-2.6.2-alt5.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /lib64/security/pam_oath.la
open-iscsi-2.0.877-alt1.git73652184.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
open-iscsi-2.0.877-alt1.git73652184.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/open-iscsi
openconnect-8.10-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/openconnect/csd-post.sh /usr/lib/openconnect/csd-wrapper.sh /usr/lib/openconnect/hipreport-android.sh /usr/lib/openconnect/hipreport.sh /usr/lib/openconnect/tncc-emulate.py /usr/lib/openconnect/tncc-wrapper.py /usr/share/bash-completion/completions/openconnect
openconnect-8.10-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib/openconnect/csd-post.sh /usr/lib/openconnect/csd-wrapper.sh /usr/lib/openconnect/hipreport-android.sh /usr/lib/openconnect/hipreport.sh /usr/lib/openconnect/tncc-emulate.py /usr/lib/openconnect/tncc-wrapper.py /usr/share/bash-completion/completions/openconnect
opennebula-common-5.10.5-alt4.noarch
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
openuds-actor-3.0.0-alt0.1.git.d7e30d14.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/UDS_Actor_Configuration.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
openuds-actor-3.0.0-alt0.1.git.d7e30d14.noarch
info
freedesktop-desktop desktop-file-validate utility printed the following message(s): /usr/share/applications/UDS_Actor_Configuration.desktop: hint: value "Settings;System;" for key "Categories" in group "Desktop Entry" contains more than one main category; application might appear more than once in the application menu
openuds-client-3.0.0-alt0.1.git.d7e30d14.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/UDSClient.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
openvswitch-2.14.0-alt1.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
origin-clients-3.11.0-alt3.x86_64
warn
rpm-filesystem-conflict-symlink-file symlink /usr/bin/kubectl is a file in the package kubernetes-client-1.18.8-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
origin-node-3.11.0-alt3.x86_64
fail
rpm-filesystem-conflict-dir-dir directory /etc/kubernetes/manifests is a directory in package kubernetes-kubelet-1.18.8-alt1.x86_64 with different user,group or permissions. You should add explicit conflicts.
origin-sdn-ovs-3.11.0-alt3.x86_64
warn
rpm-filesystem-conflict-file-file Files /usr/libexec/cni/host-local /usr/libexec/cni/loopback conflict with the package cni-plugins-0.8.7-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
pgpool-II-4.0.2-alt1.x86_64
fail
init-condrestart /etc/rc.d/init.d/pgpool: missing condstop target. ERROR: alt-specific script %_sbindir/preun_service (used in your %preun_service macro) depends on condstop. Please, fix.
pgpool-II-4.0.2-alt1.x86_64
warn
init-lsb /etc/rc.d/init.d/pgpool: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
pgpool-II-4.0.2-alt1.x86_64
warn
rpm-filesystem-conflict-file-file File /etc/pcp.conf conflicts with the package pcp-conf-5.2.0-alt1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
pgpool-II-4.0.2-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
pgpool-II-4.0.2-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/pgpool
phodav-2.4-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/gtk-doc/html/phodav-2.0/PhodavServer.html /usr/share/gtk-doc/html/phodav-2.0/annotation-glossary.html /usr/share/gtk-doc/html/phodav-2.0/api-index-full.html /usr/share/gtk-doc/html/phodav-2.0/ch01.html /usr/share/gtk-doc/html/phodav-2.0/deprecated-api-index.html /usr/share/gtk-doc/html/phodav-2.0/home.png /usr/share/gtk-doc/html/phodav-2.0/index.html /usr/share/gtk-doc/html/phodav-2.0/left-insensitive.png /usr/share/gtk-doc/html/phodav-2.0/left.png /usr/share/gtk-doc/html/phodav-2.0/object-tree.html /usr/share/gtk-doc/html/phodav-2.0/phodav-2.0.devhelp2 /usr/share/gtk-doc/html/phodav-2.0/right-insensitive.png /usr/share/gtk-doc/html/phodav-2.0/right.png /usr/share/gtk-doc/html/phodav-2.0/style.css /usr/share/gtk-doc/html/phodav-2.0/up-insensitive.png /usr/share/gtk-doc/html/phodav-2.0/up.png
phodav-2.4-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/gtk-doc/html/phodav-2.0/PhodavServer.html /usr/share/gtk-doc/html/phodav-2.0/annotation-glossary.html /usr/share/gtk-doc/html/phodav-2.0/api-index-full.html /usr/share/gtk-doc/html/phodav-2.0/ch01.html /usr/share/gtk-doc/html/phodav-2.0/deprecated-api-index.html /usr/share/gtk-doc/html/phodav-2.0/home.png /usr/share/gtk-doc/html/phodav-2.0/index.html /usr/share/gtk-doc/html/phodav-2.0/left-insensitive.png /usr/share/gtk-doc/html/phodav-2.0/left.png /usr/share/gtk-doc/html/phodav-2.0/object-tree.html /usr/share/gtk-doc/html/phodav-2.0/phodav-2.0.devhelp2 /usr/share/gtk-doc/html/phodav-2.0/right-insensitive.png /usr/share/gtk-doc/html/phodav-2.0/right.png /usr/share/gtk-doc/html/phodav-2.0/style.css /usr/share/gtk-doc/html/phodav-2.0/up-insensitive.png /usr/share/gtk-doc/html/phodav-2.0/up.png
phpipam-1.42.027-alt1.noarch
fail
rpm-recursive-symlink broken sybolic link /var/www/webapps/phpipam/functions/locale/cs_CZ.UTF-8/cs_CZ.UTF8 points to itself.
pidgin-2.14.1-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
pidgin-guifications-2.16-alt1.qa1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/locale/sr@Latn/LC_MESSAGES/guifications.mo
pidgin-guifications-2.16-alt1.qa1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/locale/sr@Latn/LC_MESSAGES/guifications.mo
plymouth-0.9.5-alt1.x86_64
warn
init-lsb /etc/rc.d/init.d/plymouth: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
plymouth-0.9.5-alt1.x86_64
info
beehive-log-non-strict-dependency-x86_64 plymouth-system-theme: non-strict dependency on plymouth-theme-fade-in
plymouth-0.9.5-alt1.x86_64
info
beehive-log-non-strict-dependency-i586 plymouth-system-theme: non-strict dependency on plymouth-theme-fade-in
plymouth-0.9.5-alt1.x86_64
info
beehive-log-dependency-needs-epoch-x86_64 plymouth-theme-fade-in: dependency on plymouth-scripts needs Epoch plymouth-theme-spinfinity: dependency on plymouth-scripts needs Epoch plymouth-theme-solar: dependency on plymouth-scripts needs Epoch plymouth-theme-charge: dependency on plymouth-scripts needs Epoch plymouth-theme-glow: dependency on plymouth-scripts needs Epoch plymouth-theme-script: dependency on plymouth-scripts needs Epoch plymouth-theme-spinner: dependency on plymouth-scripts needs Epoch plymouth-theme-bgrt: dependency on plymouth-scripts needs Epoch
plymouth-0.9.5-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/libexec/plymouth/plymouth-generate-initrd /usr/libexec/plymouth/plymouth-populate-initrd /usr/share/pixmaps/system-logo.png
plymouth-0.9.5-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/libexec/plymouth/plymouth-generate-initrd /usr/libexec/plymouth/plymouth-populate-initrd /usr/share/pixmaps/system-logo.png
plymouth-0.9.5-alt1.x86_64
info
beehive-log-dependency-needs-epoch-i586 plymouth-theme-fade-in: dependency on plymouth-scripts needs Epoch plymouth-theme-spinfinity: dependency on plymouth-scripts needs Epoch plymouth-theme-solar: dependency on plymouth-scripts needs Epoch plymouth-theme-charge: dependency on plymouth-scripts needs Epoch plymouth-theme-glow: dependency on plymouth-scripts needs Epoch plymouth-theme-script: dependency on plymouth-scripts needs Epoch plymouth-theme-spinner: dependency on plymouth-scripts needs Epoch plymouth-theme-bgrt: dependency on plymouth-scripts needs Epoch
ppp-2.4.8-alt2.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
pptpd-1.4.0-alt3.x86_64
fail
unsafe-tmp-usage-in-scripts The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/share/doc/pptpd-1.4.0/tools/vpnuser: $ grep -A5 -B5 /tmp/ /usr/share/doc/pptpd-1.4.0/tools/vpnuser exit 1 fi ;; del) if [ "$(echo $2)" != "" ]; then grep -vw "$2" $config > /tmp/vpnblaat mv /tmp/vpnblaat $config chmod 600 $config else echo -e $ERROR exit 1 fi -- cat... [the rest of the message is skipped]
pptpd-1.4.0-alt3.x86_64
warn
init-lsb /etc/rc.d/init.d/pptpd: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
python-module-Nevow-0.14.2-alt1.noarch
info
altlinux-python-test-is-packaged /usr/lib/python2.7/site-packages/formless/test/test_formless.py: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. See http://www.altlinux.org/Python_Policy for details. /usr/lib/python2.7/site-packages/formless/test/test_formless.pyc: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. See http://www.altlinux.org/Python_Policy for details. /usr/lib/python2.7/site-packages/formless/test/test_formless.pyo: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. ... [the rest of the message is skipped]
python-module-django-appconf-1.0.2-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-django-appconf-1.0.2-alt1.noarch.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation
python-module-django1.11-1.11.29-alt1.noarch
warn
specfile-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-django1.11-1.11.29-alt1.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-django1.11-1.11.29-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/bin/django-admin
python-module-django1.11-1.11.29-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/bin/django-admin
python-module-fixtures-3.0.0-alt1.noarch
warn
specfile-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-fixtures-3.0.0-alt1.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-fixtures-3.0.0-alt1.noarch
info
altlinux-python-test-is-packaged /usr/lib/python2.7/site-packages/fixtures/tests/_fixtures/test_environ.py: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. See http://www.altlinux.org/Python_Policy for details. /usr/lib/python2.7/site-packages/fixtures/tests/_fixtures/test_environ.pyc: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. See http://www.altlinux.org/Python_Policy for details. /usr/lib/python2.7/site-packages/fixtures/tests/_fixtures/test_environ.pyo: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is requ... [the rest of the message is skipped]
python-module-pysaml2-4.6.5-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-pysaml2-4.6.5-alt1.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/noarch/RPMS/python-module-pysaml2-4.6.5-alt1.noarch.rpm: license not found in '/usr/share/license' directory: ASL /ALT/Sisyphus/files/noarch/RPMS/python-module-pysaml2-4.6.5-alt1.noarch.rpm: license not found in '/usr/share/license' directory: 2.0
python-module-pytest-sugar-0.9.2-alt1.noarch
warn
specfile-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-pytest-sugar-0.9.2-alt1.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-pywebkitgtk-1.1.8-alt1.1.1.i586
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/pkgconfig/pywebkitgtk-1.0.pc
python-module-pywebkitgtk-1.1.8-alt1.1.1.i586
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/pkgconfig/pywebkitgtk-1.0.pc
python-module-qpid-0.32-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-qpid-0.32-alt1.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/noarch/RPMS/python-module-qpid-0.32-alt1.noarch.rpm: license not found in '/usr/share/license' directory: ASL /ALT/Sisyphus/files/noarch/RPMS/python-module-qpid-0.32-alt1.noarch.rpm: license not found in '/usr/share/license' directory: 2.0
python-module-requestsexceptions-1.1.3-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-requestsexceptions-1.1.3-alt1.noarch.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/noarch/RPMS/python-module-requestsexceptions-1.1.3-alt1.noarch.rpm: license not found in '/usr/share/license' directory: ASL /ALT/Sisyphus/files/noarch/RPMS/python-module-requestsexceptions-1.1.3-alt1.noarch.rpm: license not found in '/usr/share/license' directory: 2.0
python-module-restructuredtext_lint-1.2.1-alt1.noarch
info
altlinux-python-test-is-packaged /usr/lib/python2.7/site-packages/restructuredtext_lint/test/test_files/dir/subdir/invalid.rst: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. See http://www.altlinux.org/Python_Policy for details. /usr/lib/python2.7/site-packages/restructuredtext_lint/test/test_files/dir/valid.rst: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the -devel subpackage, if the test is required to build other packages. See http://www.altlinux.org/Python_Policy for details. /usr/lib/python2.7/site-packages/restructuredtext_lint/test/test_files/invalid.rst: It is the file in the package whose name matches the format python modules use for test files. It may have been installed by accident. Remove it or move it to the ... [the rest of the message is skipped]
python-module-subunit-1.3.0-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-subunit-1.3.0-alt1.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/noarch/RPMS/python-module-subunit-1.3.0-alt1.noarch.rpm: The use of such a license name is ambiguous: Apache
python-module-subunit-1.3.0-alt1.noarch
warn
specfile-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-subunit-1.3.0-alt1.noarch
warn
altlinux-python-python2-in-spec spec file explicitly calls /usr/bin/python. It is deprecated binary. Use /usr/bin/python2.
python-module-tenacity-tests-4.12.0-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-tenacity-tests-4.12.0-alt1.noarch.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/noarch/RPMS/python-module-tenacity-tests-4.12.0-alt1.noarch.rpm: license not found in '/usr/share/license' directory: ASL /ALT/Sisyphus/files/noarch/RPMS/python-module-tenacity-tests-4.12.0-alt1.noarch.rpm: license not found in '/usr/share/license' directory: 2.0
python-module-termcolor-1.1.0-alt1.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-termcolor-1.1.0-alt1.noarch.rpm: forbidden requires: python-base sisyphus_check: check-deps ERROR: package dependencies violation
python-module-websockify-0.8.0-alt2.noarch
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/noarch/RPMS/python-module-websockify-0.8.0-alt2.noarch.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation
python-module-zVMCloudConnector-1.4.0-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /etc/sudoers.d/sudoers-zvmsdk /etc/zvmsdk/uwsgi-zvmsdk.conf /etc/zvmsdk/zvmsdk.conf.sample /lib/systemd/system/sdkserver.service /usr/bin/sdkserver /usr/bin/zvmsdk-gentoken /usr/bin/zvmsdk-wsgi /var/lib/zvmsdk/setupDisk
python-module-zVMCloudConnector-1.4.0-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /etc/sudoers.d/sudoers-zvmsdk /etc/zvmsdk/uwsgi-zvmsdk.conf /etc/zvmsdk/zvmsdk.conf.sample /lib/systemd/system/sdkserver.service /usr/bin/sdkserver /usr/bin/zvmsdk-gentoken /usr/bin/zvmsdk-wsgi /var/lib/zvmsdk/setupDisk
python3-module-deprecation-2.0.6-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/python3/site-packages/__pycache__/deprecation.cpython-38.opt-1.pyc /usr/lib/python3/site-packages/__pycache__/deprecation.cpython-38.opt-2.pyc /usr/lib/python3/site-packages/__pycache__/deprecation.cpython-38.pyc
python3-module-deprecation-2.0.6-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib/python3/site-packages/__pycache__/deprecation.cpython-38.opt-1.pyc /usr/lib/python3/site-packages/__pycache__/deprecation.cpython-38.opt-2.pyc /usr/lib/python3/site-packages/__pycache__/deprecation.cpython-38.pyc
qemu-system-aarch64-core-5.1.0-alt1.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/bin/qemu-system-aarch64 conflicts with the package pve-qemu-system-5.1.0-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
qemu-system-ppc-core-5.1.0-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
qemu-system-x86-core-5.1.0-alt1.x86_64
warn
rpm-filesystem-conflict-symlink-file symlink /usr/share/qemu/bios-microvm.bin is a file in the package pve-qemu-common-5.1.0-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
qemu-system-x86-core-5.1.0-alt1.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/bin/qemu-system-x86_64 conflicts with the package pve-qemu-system-5.1.0-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
qemu-tools-5.1.0-alt1.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/libexec/virtiofsd conflicts with the package pve-qemu-img-5.1.0-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package pve-qemu-system-5.1.0-alt2.x86_64, for example, /usr/bin/elf2dmp (5 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
rdma-core-30.0-alt3.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/sbin/srp_daemon.sh
rdma-core-30.0-alt3.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/sbin/srp_daemon.sh
remmina-1.4.7-alt1.x86_64
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/org.remmina.Remmina.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
rocksdb-6.1.2-alt2.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/cmake/rocksdb/RocksDBConfig.cmake /usr/lib/cmake/rocksdb/RocksDBConfigVersion.cmake /usr/lib/cmake/rocksdb/RocksDBTargets-noconfig.cmake /usr/lib/cmake/rocksdb/RocksDBTargets.cmake
rocksdb-6.1.2-alt2.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/cmake/rocksdb/RocksDBConfig.cmake /usr/lib64/cmake/rocksdb/RocksDBConfigVersion.cmake /usr/lib64/cmake/rocksdb/RocksDBTargets-noconfig.cmake /usr/lib64/cmake/rocksdb/RocksDBTargets.cmake
rsyslog-8.2006.0-alt1.x86_64
info
big-changelog Package contains big ChangeLog. Gzip it.
rtkit-0.11-alt1.S1.i586
warn
altlinux-policy-obsolete-buildreq Build dependency on rpm-build-ubt is obsolete and should be dropped to get rid of rpm-build-ubt package.
rtkit-0.11-alt1.S1.i586
warn
specfile-macros-ubt-is-deprecated macros %ubt is deprecated and will be removed.
rtkit-0.11-alt1.S1.x86_64
info
dbus-xml-not-in-devel file /usr/share/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml is not used in run time. Move it to the -devel subpackage.
setup-2.2.16-alt1.noarch
info
missing-url Missing Url: in a package.
shorewall-5.2.3.2-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/shorewall
shorewall-init-5.2.3.2-alt1.noarch
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /etc/NetworkManager/dispatcher.d/01-shorewall
shorewall-init-5.2.3.2-alt1.noarch
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /etc/NetworkManager/dispatcher.d/01-shorewall
shorewall-init-5.2.3.2-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/shorewall-init
shorewall-lite-5.2.3.2-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/shorewall-lite
shorewall6-5.2.3.2-alt1.noarch
info
uncompressed-manpages Package contains uncompressed manual pages.
shorewall6-5.2.3.2-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/shorewall6
shorewall6-lite-5.2.3.2-alt1.noarch
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/shorewall6-lite
squid-4.11-alt1.x86_64
warn
init-lsb /etc/rc.d/init.d/squid: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
squid-4.11-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
squid-4.11-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/squid
squid-doc-4.11-alt1.noarch
info
big-changelog Package contains big ChangeLog. Gzip it.
srp_daemon-30.0-alt3.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/srpd
sstp-client-1.0.12-alt1.x86_64
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/sstp-client/sstp-test-nopty.example /usr/share/doc/sstp-client/sstp-test.example
sstp-client-1.0.12-alt1.x86_64
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/share/doc/sstp-client/sstp-test-nopty.example /usr/share/doc/sstp-client/sstp-test.example
sstp-client-1.0.12-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
telegraf-1.15.3-alt1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
tests-for-installed-python3-pkgs-0.1.13.1-alt2.noarch
info
missing-url Missing Url: in a package.
udev-246.6-alt4.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/udevd
usbutils-012-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /usr/bin/usb-devices
virt-manager-3.1.0-alt2.noarch
warn
freedesktop-categories Menu-related Additional Categories (http://standards.freedesktop.org/menu-spec/latest/apa.html) not found in /usr/share/applications/virt-manager.desktop. Please add it or report a bug against this test if you already have registered one (not including menu unrelated ones as Core or Qt).
xmr-stak-cpu-1.5.0-alt2.x86_64
warn
rpm-package-is-obsoleted The package is obsoleted by the package xmr-stak-2.5.2-alt1.x86_64, but is still alive and in the repository. Consider removing the package, or, if you want the package to be alive, ask the maintainer of xmr-stak-2.5.2-alt1.x86_64 to remove Obsoletes: tag.
yajl-2.1.0-alt1.i586
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /usr/lib/libyajl_s.a
yajl-2.1.0-alt1.i586
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /usr/lib64/libyajl_s.a
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin